BSpline

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft BSpline and the translation is 10% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Dimension.svg Dimension
Next: Point Draft Point.svg Arrow-right.svg

Draft BSpline.svg BSpline

Emplacement du menu
Draft → BSpline
Ateliers
Planche à dessin (Draft), Arch
Raccourci par défaut
B S
Introduit dans la version
-
Voir aussi
Filaire


Description

L'outil BSpline crée une courbe avec plusieurs points dans le plan de travail courant.Le fil nouvellement créé possédera la couleur et la largeur de trait actives. L'outil BSpline se comporte exactement comme l'outil Draft Wire.

The BSpline tool behaves like the Draft Wire tool, except that each of its segments is curved instead of being a straight line. Use Draft WireToBSpline to convert one to the other.

The BSpline tool specifies the exact points through which the curve will go; on the other hand the Draft BezCurve tool uses control points to define the direction of the curve. To create exact circular or elliptical curves, use Draft Arc and Draft Ellipse.

Draft bspline example.jpg

Draft bspline example.jpg

Utilisation

  1. Pressez le bouton Draft BSpline.png B-Spline, ou pressez les touches B puis S.
  2. Cliquez le premier point dans la vue 3D, ou tapez les coordonées.
  3. Cliquez un point additionnel dans la vue 3D, ou tapez les coordonées
  4. Pressez les touches F ou C, ou double-cliquez le point suivant, ou cliquez sur le premier point pour finir ou fermer la B-Spline. Si la B-Spline est fermée, elle peut aussi être une face, même si elle paraît comme une wireframe (fil).

The spline can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.png Draft Edit button. Then you can move the points to a new position, or click Draft AddPoint.svg add point or Draft DelPoint.svg remove point and then click on the wire to add or remove points.

Options

  • Pressez la touche F, ou le bouton Draft FinishLine.png Finish pour finir la B-Spline, et, la laisser ouverte.
  • Pressez la touche C, ou le bouton Draft CloseLine.png Close, ou cliquez sur le premier point pour finir la B-Spline, et, ferme la B-Spline en ajoutant un dernier segment, entre le dernier point et le premier.
  • Pressez la touche X, Y, ou Z après le point, contraint le point suivant à l'axe désigné.
  • Vous pouvez simplement entrer les coordonnées manuellement, en entrant les nombres, puis tapez ENTRÉE à chaque composants X, Y et Z.
  • Pressez la touche R, ou activez/désactivez la case à cocher Relatif. Si Relatif est activé, les coordonnées du point suivant, sont relatives au premier point. Si elle n'est pas cochée, les coordonnées sont absolues, et, commencent à partir du point d'origine (0,0,0).
  • Pressez la touche T, ou activez/désactivez la case à cocher Continue. Si la case à cocher Continue est activée, et, que vous avez terminé votre B-Spline, la fonction redémarre automatiquement, vous permettant, de tirer une autre B-Spline sans devoir appuyer sur le bouton.
  • Pressez sur la touche CTRL pendant le dessin, force l'accrochage, de votre point à l'emplacement le plus proche, du composant logiciel enfichable, indépendamment de la distance.
  • Après avoir cliqué votre premier point, donnez une direction horizontale, ou verticale à votre ligne, puis, pressez sur la touche SHIFT, et votre ligne sera contrainte horizontalement ou verticalement.
  • Pressez la touche W, ou cliquez sur le bouton Draft Wipe.png Wipe pour effacer le segment existant, et, commencer une nouvelle B-Spline à partir du dernier point.
  • Pressez les touches CTRL+Z, ou pressez le bouton Draft UndoLine.png Undo pour revenir sur le dernier point.
  • Pressez la touche I, ou cliquez sur le bouton Filled pour faire apparaître la B-Spline comme une face, juste après sa fermeture.
  • Pressez la touche ESC, ou le bouton Cancel, pour annuler l'opération, et, quitter la commande. La B-Spline nouvellement créée adopte le style de ligne actif.

Propriétés

  • DONNÉESClosed: Spécifie si la spline est fermée ou non
  • VUEEnd Arrow: Affiche le symbole d'une flèche du premier point de la spline, elle peut donc être utilisée comme repère d'annotation
  • VUEPattern: Spécifie le type de hachure
  • VUEPattern Size: Spécifie la dimension de la hachure

A BSpline object shares most properties from a Draft Wire, however, most properties only make sense for a Wire.

Data

  • DATAClosed: specifies if the spline is closed or not. If the spline is initially open, this value is False; setting it to True will draw a curve segment to close the spline. If the spline is initially closed, this value is True; setting it to False will remove the last curve segment, and make the spline open.
  • DATAMake Face: specifies if the spline makes a face or not. If it is True a face is created, otherwise only the perimeter is considered part of the object. This property only works if DATAClosed is True.
Note: do not set DATAMake Face to True if the spline intersects itself, as it won't create a proper face.
  • DATAParameterization: affects the shape of the BSpline.

View

  • VIEWArrow Size: specifies the size of the symbol displayed at the end of the spline.
  • VIEWArrow Type: specifies the type of symbol displayed at the end of the spline, which can be "Dot", "Circle", "Arrow", or "Tick".
  • VIEWEnd Arrow: specifies whether to show a symbol at the last point of the spline, so it can be used as an annotation line.
  • VIEWPattern: specifies a Draft Pattern with which to fill the face of a closed spline. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Script

L'outil B-Spline peut être utilisé dans des macros, et, dans la console Python, en utilisant cette fonction:

The BSpline tool can be used in macros and from the Python console by using the following function:

BSpline = makeBSpline(pointslist, closed=False, placement=None, face=None, support=None)
BSpline = makeBSpline(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Crée un objet B-Spline à partir de la liste des vecteurs donnés.
  • Si closed, a la valeur True, ou que le premier point et le dernier point sont identiques, le wire (fil) est fermé.
  • Si la face est True(et que la bspline est fermée), la bspline apparaîtra pleine.
  • Au lieu d'une liste de points, vous pouvez également passer un Part Wire.
  • Retourne l'objet nouvellement créé.

Exemple:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2000, 0, 0)

BSpline1 = Draft.makeBSpline([p1, p2, p3], closed=True)
BSpline2 = Draft.makeBSpline([p1, 2*p3, 1.3*p2], closed=True)
BSpline3 = Draft.makeBSpline([1.3*p3, p1, -1.7*p2], closed=True)
Arrow-left.svg Previous: Draft Dimension.svg Dimension
Next: Point Draft Point.svg Arrow-right.svg